LocalToken (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Class LocalToken

    java.lang.Object
      org.apache.cassandra.dht.Token<java.nio.ByteBuffer>
          org.apache.cassandra.dht.LocalToken

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Token<java.nio.ByteBuffer>>

    public class LocalToken

extends Token<java.nio.ByteBuffer>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.dht.Token
`Token.TokenFactory<T>, Token.TokenSerializer`

Field Summary

Fields inherited from class org.apache.cassandra.dht.Token
`token`

Constructor Summary
`LocalToken(AbstractType comparator, java.nio.ByteBuffer token)`

Method Summary
`int` | `compareTo(Token<java.nio.ByteBuffer> o)` This determines the comparison for node destination purposes.
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cassandra.dht.Token
`serializer`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalToken

    public LocalToken(AbstractType comparator,
                      java.nio.ByteBuffer token)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Token<java.nio.ByteBuffer>`

### compareTo

    public int compareTo(Token<java.nio.ByteBuffer> o)

  Description copied from class: `Token`
  This determines the comparison for node destination purposes.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Token<java.nio.ByteBuffer>>`
  Specified by:
    `compareTo` in class `Token<java.nio.ByteBuffer>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Token<java.nio.ByteBuffer>`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `Token<java.nio.ByteBuffer>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation